Subject: DNSEXT WGLC Obsoleting IQUERY

From: Olafur Gudmundsson <[email-masked]>
Date: Sun, 01 Jul 2001 20:13:54 -0700

This document obsoletes a section in RFC1035 that was optional.
Operational experience has shown that IQUERY is not only bad
it is real bad, thus the working group should make a statement
on the issue by obsoleting this before anyone else implements it.

No current implementations of DNS servers, resolvers are affected
by this change.

The last call will end on July 14'th.

	Olafur

	Olafur

to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.

---

From: Matt Crawford <[email-masked]>
Date: Mon, 02 Jul 2001 08:00:31 -0700

(The file name, by the way, is draft-ietf-dnsext-obsolete-iquery-01.txt.)

I support what this document tries to accomplish, but on reflection,
its statement that 

   RFC 1035 sections 4.1.1 and 6.4 are changed.

and subsequent claims that 1035 itself is altered are incompatible
with the fact that an RFC itself is never changed.  Small tweaks
would make process-purists happier, I think:

*** draft-ietf-dnsext-obsolete-iquery-01.txt    Mon Jul  2 08:55:25 2001
--- /tmp/suggest-02.txt Mon Jul  2 09:09:59 2001
***************
*** 108,114 ****
  
  1.2 - Updated documents and sections
  
!    RFC 1035 sections 4.1.1 and 6.4 are changed.
  
  2 - New text for RFC 1035.
  
--- 108,115 ----
  
  1.2 - Updated documents and sections
  
!    RFC 1035, section 4.1.1 is superseded in part and section 6.4 is
!    entirely superseded.
  
  2 - New text for RFC 1035.
  
***************
*** 116,127 ****
  
                 "1               an inverse query (IQUERY)"
  
!    Is is amended to read:
  
                 "1               an inverse query (IQUERY) (obsolete)"
  
     Section 6.4, including all subsections, of RFC 1035 should be
!    considered obsolete and not to be implemented.  It is changed to
     read as follows:
  
     "Inverse queries using the IQUERY opcode were originally described
--- 117,128 ----
  
                 "1               an inverse query (IQUERY)"
  
!    It is amended to read:
  
                 "1               an inverse query (IQUERY) (obsolete)"
  
     Section 6.4, including all subsections, of RFC 1035 should be
!    considered obsolete and not implemented.  It is now considered to
     read as follows:
  
     "Inverse queries using the IQUERY opcode were originally described

---

From: [email-masked] (David C Lawrence)
Date: Wed, 04 Jul 2001 11:18:23 -0700

Matt Crawford writes:
> would make process-purists happier, I think.

I've been reading too many government documents, I guess.
I am completely fine with the changes you have proposed.